curl --request GET \
--url https://api.swarmd.ai/relay/v1/policy-groups \
--header 'Authorization: Bearer <token>'{
"totalPages": 123,
"totalElements": 123,
"numberOfElements": 123,
"pageable": {
"paged": true,
"unpaged": true,
"pageSize": 123,
"offset": 123,
"sort": {
"unsorted": true,
"empty": true,
"sorted": true
},
"pageNumber": 123
},
"first": true,
"last": true,
"size": 123,
"content": [
{
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"name": "<string>",
"description": "<string>",
"regoSource": "<string>",
"regoSourceHash": "<string>",
"bindings": [
{
"bindingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupName": "<string>",
"groupVersion": "<string>",
"isLatestGroupVersion": true,
"bindingLevel": "TENANT",
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sourceAgent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sinkAgent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"priority": 123,
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"currentOwnership": {
"primaryUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secondaryUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveTo": "2023-11-07T05:31:56Z",
"assignedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignmentReason": "<string>"
},
"bindingCount": 123,
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"number": 123,
"sort": {
"unsorted": true,
"empty": true,
"sorted": true
},
"empty": true
}Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | TENANT | READ | TENANT:READ |
curl --request GET \
--url https://api.swarmd.ai/relay/v1/policy-groups \
--header 'Authorization: Bearer <token>'{
"totalPages": 123,
"totalElements": 123,
"numberOfElements": 123,
"pageable": {
"paged": true,
"unpaged": true,
"pageSize": 123,
"offset": 123,
"sort": {
"unsorted": true,
"empty": true,
"sorted": true
},
"pageNumber": 123
},
"first": true,
"last": true,
"size": 123,
"content": [
{
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"name": "<string>",
"description": "<string>",
"regoSource": "<string>",
"regoSourceHash": "<string>",
"bindings": [
{
"bindingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupName": "<string>",
"groupVersion": "<string>",
"isLatestGroupVersion": true,
"bindingLevel": "TENANT",
"agent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sourceAgent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sinkAgent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"priority": 123,
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"currentOwnership": {
"primaryUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secondaryUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"effectiveFrom": "2023-11-07T05:31:56Z",
"effectiveTo": "2023-11-07T05:31:56Z",
"assignedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignmentReason": "<string>"
},
"bindingCount": 123,
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"number": 123,
"sort": {
"unsorted": true,
"empty": true,
"sorted": true
},
"empty": true
}JWT token (USER, AGENT, or SERVICE auth)
Show child attributes